RPM Packages

I was the maintainer of this package at the upstream vendor from 2004 through 2010.  I am currently an upstream developer at the Apache Spamassassin project.  These RPM packages I personally use in production on my RHEL5 and RHEL6 servers.  I roll my own packages for software updates of the anti-spam stack because the upstream vendor moves too slowly.  These packages should work on RHEL, CentOS and Scientific Linux.

How to Install My Packages
If you are using Fedora, you don't need any of this as Fedora has adequate versions of all these packages by default.
  1. Install epel-release as EPEL contains required prerequisites.
  2. yum install spamassassin pyzor perl-Razor-Agent
  3. Download and upgrade to RPM Packages for [EL-5] [EL-6]
  4. In some cases you may need to grab new dependencies from EPEL for your OS.
  5. Follow the tips in the Ultimate Setup Guide to tweak your configuration.
sha1sums
  5049a95c4156d75fef5d837a3a0f483416a9ddd3  spamassassin-3.3.2-1.el5.i386.rpm
  f27572c170a18035de328e2d596cf148b08e853f  spamassassin-3.3.2-1.el5.src.rpm
  8b14d30e15d846c9e4b5120725e2b5870b48b94e  spamassassin-3.3.2-1.el5.x86_64.rpm
  6bf0234cd4db52cc3fe4ca2a05123edb4888d359  spamassassin-3.3.2-1.el6.i686.rpm
  43db5995d9a37a2f8d12028ae5d30530ad5d78fd  spamassassin-3.3.2-1.el6.src.rpm
  2889f1e50c1c2dcd04423d8bcf37af6457b3ed18  spamassassin-3.3.2-1.el6.x86_64.rpm


Notes for EL-5
EL-5 has spamassassin-3.2.x which is quite old and dangerously unmaintained.  You should upgrade EL-5's spamassassin to this new packaged 3.3.x.  It contains the excellent SOUGHT channel, PSBL and sa-update enabled by default along with thousands of other improvements since spamassassin-3.2.x.

Notes for EL-6
You may need to install additional packages like perl-Mail-SPF to upgrade to this package.

Questions?  Please e-mail me or post a comment.

No comments:

Post a Comment